%define pypi_name Unidecode

Name:		python-unidecode
Version:	0.04.18
Release:	%mkrel 2
Summary:	US-ASCII transliterations of Unicode text

Group:		Development/Python
License:	GPL+ or Artistic
URL:		http://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:	http://pypi.python.org/packages/source/U/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
This is a python port of Text::Unidecode Perl module. It provides a function,
'unidecode(...)' that takes Unicode data and tries to represent it in ASCII
characters.

%package -n python3-unidecode
Group:		Development/Python
Summary:	US-ASCII transliterations of Unicode text
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-unidecode
This is a python port of Text::Unidecode Perl module. It provides a function,
'unidecode(...)' that takes Unicode data and tries to represent it in ASCII
characters.


%prep
%setup -q -n %{pypi_name}-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

rm -f %{buildroot}%{_bindir}/unidecode

%files
%doc README.rst ChangeLog
%{python2_sitelib}/unidecode/
%{python2_sitelib}/*.egg-info


%files -n python3-unidecode
%doc README.rst ChangeLog
%{python3_sitelib}/unidecode/
%{python3_sitelib}/*.egg-info


%changelog
* Mon Jan 18 2016 daviddavid <daviddavid> 0.04.18-2.mga6
+ Revision: 925606
- use new python macros

* Mon Jan 18 2016 luigiwalser <luigiwalser> 0.04.18-1.mga6
+ Revision: 925567
- 0.04.18
- BR setuptools

* Thu Oct 08 2015 tv <tv> 0.04.16-5.mga6
+ Revision: 887447
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.04.16-4.mga5
+ Revision: 739442
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.04.16-3.mga5
+ Revision: 729954
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.04.16-2.mga5
+ Revision: 688401
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 philippem <philippem> 0.04.16-1.mga5
+ Revision: 672437
- update to 0.04.16

* Sat May 31 2014 pterjan <pterjan> 0.04.14-4.mga5
+ Revision: 629078
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.04.14-3.mga4
+ Revision: 544398
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.04.14-2.mga4
+ Revision: 499667
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 0.04.14-1.mga4
+ Revision: 492224
- imported package python-unidecode

